<!-- Page Content -->
<div class="container">

  <div class="row">

    <!-- Blog Entries Column -->
    <div class="col-md-8">

      <!-- Practical -->
      <div class="practical">
        <h1><a id="practical">{{ 'PREV.PRACTICALINFO' | translate }}</a></h1>
        <!-- Blog Post -->
        <div *ngFor="let text of Texts; let i = index">
          <div *ngIf="(text.type == 'practical')" class="card mb-4">
            <img class="card-img-top" src={{text.image}} alt="Card image cap">
            <div class="card-body">
              <h2 class="card-title">{{text.title}}</h2>
              <p class="card-text">{{truncateText(text.body)}}</p>
              <a [routerLink]="['/article', i]" class="btn btn-primary">{{ 'PREV.READMORE' | translate }} &rarr;</a>
            </div>
            <div class="card-footer text-muted">
              {{ 'PREV.TEXTPOSTEDWHEN' | translate }} {{text.date}} {{ 'PREV.TEXTPOSTEDBY' | translate }} {{text.name}}
            </div>
          </div>
        </div>
        <hr>
      </div>
      <br><br><br>

      <!-- Community -->
      <div class="community">
        <h1><a id="community">{{ 'PREV.COMMUNITY' | translate }}</a></h1>
        <!-- Blog Post -->
        <div *ngFor="let text of Texts; let i = index">
          <div *ngIf="(text.type == 'community')" class="card mb-4">
            <img class="card-img-top" src={{text.image}} alt="Card image cap">
            <div class="card-body">
              <h2 class="card-title">{{text.title}}</h2>
              <p class="card-text">{{truncateText(text.body)}}</p>
              <a [routerLink]="['/article', i]" class="btn btn-primary">{{ 'PREV.READMORE' | translate }} &rarr;</a>
            </div>
            <div class="card-footer text-muted">
              {{ 'PREV.TEXTPOSTEDWHEN' | translate }} {{text.date}} {{ 'PREV.TEXTPOSTEDBY' | translate }} {{text.name}}
            </div>
          </div>
        </div>
        <hr>
      </div>
      <br><br><br>

      <!-- Experts -->
      <div class="experts">
        <h1><a id="experts">{{ 'PREV.EXPERTADVICE' | translate }}</a></h1>

        <!-- Blog Post -->
        <div *ngFor="let text of Texts; let i = index">
          <div *ngIf="(text.type == 'expert')" class="card mb-4">
            <img class="card-img-top" src={{text.image}} alt="Card image cap">
            <div class="card-body">
              <h2 class="card-title">{{text.title}}</h2>
              <p class="card-text">{{truncateText(text.body)}}</p>
              <a [routerLink]="['/article', i]" class="btn btn-primary">{{ 'PREV.READMORE' | translate }} &rarr;</a>
            </div>
            <div class="card-footer text-muted">
              {{ 'PREV.TEXTPOSTEDWHEN' | translate }} {{text.date}} {{ 'PREV.TEXTPOSTEDBY' | translate }} {{text.name}}
            </div>
          </div>
        </div>

        <hr>
      </div>

      <!-- Pagination -->
      <ul class="pagination justify-content-center mb-4">
        <li class="page-item disabled">
          <a class="page-link" href="#">&larr; {{ 'PREV.NEWER' | translate }} </a>
        </li>
        <li class="page-item">
          <a class="page-link" href="#"> {{ 'PREV.OLDER' | translate }} &rarr;</a>
        </li>
      </ul>

    </div>

    <!-- Sidebar Widgets Column -->
    <div class="col-md-4">

      <!-- Side Widget -->
      <div class="card my-4">
        <h5 class="card-header" translate>PREV.BLOG.SECTIONTITLE</h5>
        <div class="card-body" translate>
          PREV.BLOG.DESCRIPTION
        </div>
      </div>

      <!-- Search Widget -->
      <div class="card my-4">
        <h5 class="card-header" translate>PREV.SEARCH.TITLE</h5>
        <div class="card-body">
          <div class="input-group">
            <input type="text" class="form-control" placeholder="{{ 'PREV.SEARCH.SEARCHBAR_PLACEHOLDER' | translate }}">
            <span class="input-group-btn">
              <button class="btn btn-secondary" type="button">{{ 'PREV.SEARCH.GO' | translate }}</button>
            </span>
          </div>
        </div>
      </div>

      <!-- Categories Widget -->
      <div class="card my-4">
        <h5 class="card-header" translate>PREV.CATEGORIES</h5>
        <div class="card-body">
          <div class="row">
            <div class="col-lg-6">
              <ul class="list-unstyled mb-0">
                <li>
                  <a href="preventive-measures/#practical" translate>PREV.PRACTICALINFO</a>
                </li>
                <li>
                  <a href="preventive-measures/#community" target="_self" translate>PREV.COMMUNITY</a>
                </li>
              </ul>
            </div>
            <div class="col-lg-6">
              <ul class="list-unstyled mb-0">
                <li>
                  <a href="preventive-measures/#experts" translate>PREV.EXPERTADVICE</a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>



    </div>

  </div>
  <!-- /.row -->

</div>
<!-- /.container -->
